# 32/64bit spec-file
#
%define _requires_exceptions devel(libdb-4.6)

Name: log4cxx
Version: 0.10.0
Release: %mkrel 2

Summary: A port to C++ of the Log4j project
Group: System/Libraries
License: ASL 2.0
URL: http://logging.apache.org/log4cxx/index.html
Source0: http://www.apache.org/dist/logging/log4cxx/%{version}/apache-%{name}-%{version}.tar.xz
# Filed into upstream bugtracker at:
# https://issues.apache.org/jira/browse/LOGCXX-332
Patch0: log4cxx-cstring.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: doxygen
BuildRequires: pkgconfig
%description
Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%prep
%setup -q -n apache-%{name}-%{version}
%patch0 -p1

%build
sed -i.libdir_syssearch -e \
 '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib /lib64 |' \
 configure

%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/html .
rm -f $RPM_BUILD_ROOT%{_libdir}/{*.la,*.a}



%clean
rm -rf $RPM_BUILD_ROOT

%post
sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc NOTICE LICENSE KEYS
%defattr(-,root,root,-)
%{_libdir}/liblog4cxx.so.*


%package devel
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries
Summary: Header files for Log4xcc - a port to C++ of the Log4j project

%description devel
Header files and documentation you can use to develop with log4cxx

%files devel
%defattr(-,root,root,-)
%doc html/
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc



%changelog
* Mon Jul 21 2014 bb <bb> 0.10.0-2plos2014
- fix package

* Fri Mar 01 2013 Ken <lxgator@gmail.com> 0.10.0-1pclos2013
- import Fedora pkg

